%undefine _hardened_build

%global git_commit 1fcbd0b9303d044d8f09a8ef652afa8c0400ee8b
%global git_date 20200324

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}


Summary: Alex's Ada Assortment of Utilities

Name: simple_logging
Version: 20201023
Release: 1.%{git_suffix}%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: https://github.com/alire-project/simple_logging
Source0: https://github.com/alire-project/%{name}/archive/%{git_commit}/%{name}-%{version}.tar.gz

BuildRequires: gprbuild gcc-gnat fedora-gnat-project-common

%description
%{summary}

%package devel
Summary: Development files for simple_logging
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%prep
%autosetup  -p1 -n %{name}-0.1

%build
export LIBRARY_TYPE="relocatable"
gprbuild simple_logging.gpr %{GPRbuild_optflags}


%install
cat simple_logging.gpr
export LIBRARY_TYPE="relocatable"
gprinstall  -p simple_logging.gpr --sources-subdir=%{buildroot}/%{_includedir}/%{name} \
--project-subdir=%{buildroot}/%_GNAT_project_dir --exec-subdir=%{buildroot}/%{_bindir} \
--lib-subdir=%{buildroot}/%{_libdir}/%{name} --link-lib-subdir=%{buildroot}/%{_libdir} 

cat %{buildroot}/%_GNAT_project_dir/simple_logging.gpr
rm -rf %{buildroot}/%_GNAT_project_dir/manifests/


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/%{name}/*.so.?.?.?


%files devel
%{_includedir}/%{name}
%_GNAT_project_dir/simple_logging.gpr
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.ali
%{_libdir}/*.so*

%changelog
* Fri Oct 23 2020 Pavel Zhukov <pzhukov@redhat.com> - 
- Initial build.

